<?php
function ppy_setup() {
	register_nav_menus( array(
		'primary_logged_in'  => __( 'Loggedin Menu', 'libre' ),
		'primary_logged_out'  => __( 'Loggedout Menu', 'libre' ),
	) );
	unregister_nav_menu( 'primary' );
	load_theme_textdomain( 'libre', get_stylesheet_directory() . '/languages' );
}
add_action( 'after_setup_theme', 'ppy_setup', 20 );

function ppy_widgets_init() {
	register_sidebar( array(
		'name'          => __( 'Poppyz Sidebar', 'libre' ),
		'id'            => 'sidebar-2',
		'description'   => __( 'Add widgets here to appear in your sidebar.', 'libre' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );
}
add_action( 'widgets_init', 'ppy_widgets_init' );

function ppy_enqueue_styles() {
	wp_enqueue_style( 'libre', get_template_directory_uri() . '/style.css' );
	wp_enqueue_style( 'libre-style',
		get_stylesheet_directory_uri() . '/style.css',
		array( 'libre' )
	);
	wp_enqueue_style( 'libre-poppyz', get_template_directory_uri() . '/poppyz.css' );
	wp_enqueue_style( 'raleway', 'https://fonts.googleapis.com/css?family=Raleway:400,700,800' );

    wp_enqueue_script( 'libre-navigation', get_template_directory_uri() . '/js/navigation.js', array(), '20120206', true );

    wp_enqueue_script( 'libre-skip-link-focus-fix', get_template_directory_uri() . '/js/skip-link-focus-fix.js', array(), '20130115', true );

	wp_enqueue_script( 'librejs', get_template_directory_uri() . '/js/libre.js', array('jquery'), 1, true );


}
add_action( 'wp_enqueue_scripts', 'ppy_enqueue_styles' );

/*
 * Disable the current Site Name menu in the Admin Bar
 */
function remove_this_site() {
	if ( !current_user_can( 'manage_options' ) ) {
		global $wp_admin_bar;
		$wp_admin_bar->remove_menu('site-name');
		$wp_admin_bar->remove_menu('wp-logo');
	}
}

add_action( 'wp_before_admin_bar_render', 'remove_this_site' );

/**
 *
 */
function remove_dashboard_menu(){
	if ( !current_user_can( 'manage_options' ) )
		remove_menu_page( 'index.php' );
}
add_action( 'admin_menu', 'remove_dashboard_menu' );

add_action( 'init', 'block_admin_dashboard' );

function block_admin_dashboard() {
	if ( is_admin() && ! current_user_can( 'administrator' ) &&
	     ! ( defined( 'DOING_AJAX' ) && DOING_AJAX ) ) {
		wp_redirect( home_url() );
		exit;
	}
}

add_action('after_switch_theme', 'theme_activation_function');
function theme_activation_function ($oldname, $oldtheme = false) {
	if ( class_exists( 'Poppyz_Core' ) && Poppyz_Core::get_option( 'theme_installed' ) != 1 ) {
		update_post_meta( Poppyz_Core::get_option( 'purchase_page' ), '_wp_page_template', 'fullwidth-page.php' );
		Poppyz_Core::save_option( 'theme_installed', 1 );
	}
}

/*add_action('after_switch_theme', 'theme_activation_function');
function theme_activation_function ($oldname, $oldtheme = false) {

    $options = get_option( 'ppy_settings' );

    $loggedout_pages = array(
        'register',
        'login',
    );
    $loggedin_pages = array(
        'edit-profile',
        'account',
    );
    $loggedout_menu = array();
    $loggedin_menu = array();

    foreach ( $loggedout_pages  as $page) {
        $page = $options[$page . '_page'];
        $loggedout_menu[basename( get_permalink( $page ) )] =  get_the_title( $page );
    }
    foreach ( $loggedin_pages  as $page) {
        $page = $options[$page . '_page'];
        $loggedin_menu[basename( get_permalink( $page ) )] =  get_the_title( $page );
    }

    $menus = array(
        'Loggedout Menu'  => $loggedout_menu,
        'Loggedin Menu' => $loggedin_menu
    );
    $permalink_structure = get_option('permalink_structure');
    foreach($menus as $menuname => $menuitems) {
        $menu_exists = wp_get_nav_menu_object($menuname);
        // If it doesn't exist, let's create it.
        if ( !$menu_exists) {
            $menu_id = wp_create_nav_menu($menuname);
            foreach($menuitems as $slug => $item) {
                //using legacy links, parse the page ID instead
                if ($permalink_structure == '') {
                    $pieces = explode("=", $slug);
                    $page = $pieces[1];
                } else {
                    $page = get_page_by_path($slug)->ID;
                }
                wp_update_nav_menu_item(
                    $menu_id, 0, array(
                        'menu-item-title'  => $item,
                        'menu-item-object'  => 'page',
                        'menu-item-object-id'  => $page,
                        'menu-item-type' => 'post_type',
                        'menu-item-status'  => 'publish'
                    )
                );
            }
        }
    }
}*/

// Filter wp_nav_menu() to add Home link
function new_nav_menu_items($items) {
	//only add home link if we have items, if not hide the menu completely
	if ( !empty( $items ) ) {
		$homelink = '<li class="home"><a href="' . home_url( '/' ) . '">' . __('Home') . '</a></li>';
		$items = $homelink . $items;
	}
	return $items;
}
add_filter( 'wp_nav_menu_items', 'new_nav_menu_items' );

function ppy_template_meta_box() {

	$screens = array( PPY_COURSE_PT, PPY_LESSON_PT );

	foreach ( $screens as $screen ) {

		add_meta_box(
			'ppy-template-metabox'
			, __( 'Page Template', 'libre' )
			, 'ppy_page_template'
			,   $screen
			, 'side'
			, 'core'
		);
	}

}
//add_action( 'add_meta_boxes', 'ppy_template_meta_box' );

function ppy_page_template( $post ) {
	// create a nonce for verification (not covered in this post)
	wp_nonce_field( basename(__FILE__), 'ppy_page_template_nonce' );

	// we get the cpt_page_template meta field from the database when we load
	// the admin panel. We haven't saved on yet, but when we do it'll be here.
	$current_template = get_post_meta( $post->ID, 'ppy_page_template', true);
	// the get_page_templates() function retrieves all of the currently enabled
	// templates.
	$template_options = get_page_templates();

	// start creating our markup
	// first we create a label, the 'for' attribute should match the 'name' of the <input> we
	// want to save.
	$box_label = '<label for="cpt_page_template">Page Template</label>';
	// <select> wrapper around our options. notice the 'name' == 'for' from above
	$box_select = '<select name="ppy_page_template">';

	// we give a Default option which will default to whatever the theme's default
	// template is.
	$box_default_option = '<option value="">Default Template</option>';
	$box_options = '';

	// here's the meat. For EACH of the available templates, create an <option> for it,
	// and put it in our <select> box.
	foreach (  $template_options as $name=>$file ) {
		if ( $current_template == $file ) {
			$box_options .= '<option value="' . $file . '" selected="selected">' . $name . '</option>';
		} else {
			$box_options .= '<option value="' . $file . '">' . $name . '</option>';
		}
	}

	// echo our markup (you should return it, but we won't do that here).
	echo $box_label;
	echo $box_select;
	echo $box_default_option;
	echo $box_options;
	echo '</select>';
}

function ppy_page_template_save(  $post_id, $post, $update ) {

	// If this is an autosave, our form has not been submitted, so we don't want to do anything.
	if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
		return $post_id;
	}

	// Don't save revisions and autosaves
	if ( wp_is_post_revision( $post_id ) || wp_is_post_autosave( $post_id ) ) {
		return $post_id;
	}

	if ( !in_array( $post->post_type, array( 'page', 'post', PPY_COURSE_PT, PPY_LESSON_PT ) ) ) return;

	if ( isset( $_POST['ppy_page_template_nonce'] )  && isset( $_POST['ppy_page_template'] ) ) {
		$current_nonce = $_POST['ppy_page_template_nonce'];

		$valid_nonce   = ( isset( $current_nonce ) && wp_verify_nonce( $current_nonce, basename( __FILE__ ) ) ) ? 'true' : 'false';

		if (  !$valid_nonce ) {
			return;
		}

		// Find our 'ppy_page_template' field in the POST request, and save it
		// when the post is updated. Note that the POST field matches the
		// name of the select box in the markup.
		$ppy_page_template = $_POST['ppy_page_template'];
		update_post_meta( $post_id, 'ppy_page_template', $ppy_page_template );
	}
}
//add_action( 'save_post', 'ppy_page_template_save', 10, 3  );

function ppy_load_page_template() {
	// get the queried object which contains the information we need to
	// access our post meta data
	$query_object = get_queried_object();
	$page_template = get_post_meta( $query_object->ID, 'ppy_page_template', true );


	// create an array of default templates
	$default_templates    = array();
	$default_templates[]  = 'single-' . $query_object->post_type . '-' . $query_object->post_name .'.php';
	$default_templates[]  = 'single-' . $query_object->post_type . '.php';
	$default_templates[]  = 'single.php';

	// only apply our template to our CPT pages.
	if ( $query_object->post_type == PPY_LESSON_PT || $query_object->post_type == PPY_COURSE_PT ) {
		// if the page_template isn't empty, set it as the default_template
		if ( !empty( $page_template ) ) {
			$default_templates = $page_template;
		}
	}

	// locate the template and return it
	$new_template = locate_template( $default_templates, false );
	return $new_template;
}
add_filter( 'single_template', 'ppy_load_page_template' );

// Add specific CSS class by filter
add_filter( 'body_class', 'ppy_class_names' );
function ppy_class_names( $classes ) {
	// add 'class-name' to the $classes array
	$post_type = get_post_type();
	if ( $post_type == PPY_COURSE_PT || $post_type == PPY_LESSON_PT ) {
		wp_reset_postdata();
		$page_template = get_post_meta( get_the_ID() , 'ppy_page_template', true );
		$page_template = str_replace( '.php', '-php' , $page_template );
		$classes[] = 'page-template-' . $page_template;
	}

	return $classes;
}

function ppy_change_pay_now_text( $text ) {
	//only add home link if we have items, if not hide the menu completely
	$button_purchase_text = get_theme_mod( 'button_purchase_text' );
	if ( !empty( $button_purchase_text ) ) {
		$text = $button_purchase_text;
	}
	return $text;

}
add_filter( 'ppy_pay_now_text', 'ppy_change_pay_now_text' );


add_filter( 'step1_content_after', 'ppy_supported_payments_image', 10, 1 );
function ppy_supported_payments_image( $content ) {
	// add 'class-name' to the $classes array
	$image = 'payment_options';
	$lang =  get_option( 'WPLANG' );
	if ( $lang == 'nl_NL' || $lang == 'nl_BE' || $lang == 'nl_NL_formal' ) {
		$image = 'payment_options_nl';
	}

	return $content . '<div id="supported-payments" class="clear"><img src="' . get_stylesheet_directory_uri() .  '/images/' . $image . '.jpg" /></div>';
}

require get_stylesheet_directory() . '/inc/template-tags.php';
require get_stylesheet_directory() . '/inc/custom-header.php';
require get_stylesheet_directory() . '/inc/customizer.php';
