<?php
/**
 * The template used for displaying page content in page.php
 *
 * @package Libre
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <header class="entry-header">
        <?php
            $title = get_the_title();
        ?>
        <?php echo '<h1 class="entry-title">' . $title . '</h1>'; ?>
        <?php if ( is_page_template( 'right-column-page.php' ) ) : ?>
            <?php edit_post_link( sprintf( esc_html__( 'Edit %1$s', 'libre' ), '<span class="screen-reader-text">' . the_title_attribute( 'echo=0' ) . '</span>' ), '<span class="edit-link">', '</span>' ); ?>
        <?php endif; ?>
    </header><!-- .entry-header -->

    <div class="entry-content">
        <?php the_content(); ?>
    </div><!-- .entry-content -->
    <?php
    if (  is_page( Poppyz_Core::get_option( 'purchase_page' ) ) && PPY_VERSION >= "0.9.3.0" ) {
        $ppy_core = new Poppyz_Core();
        $tier_id = $ppy_core->get_tier_by_slug( get_query_var( 'order-id' ) );
        $price = get_post_meta( $tier_id, PPY_PREFIX . 'tier_price', true );
        if ( $price > 0 ) { // don't display on free tiers
            global $step;
            $ppy_lang = new Poppyz_i18n();
            if ( $step == 1 ) {
                $ppy_core = new Poppyz_Core();
                $tier_id = $ppy_core->get_tier_by_slug( get_query_var( 'order-id' ) );
                $title = $ppy_lang->__s( 'Step 1. ' ) . ' <span>' .  $ppy_lang->__s( "Order" ) . '</span>';
            } elseif ( $step == 2 ) {
                $title = $ppy_lang->__s( 'Step 2. ' ) . ' <span>' . $ppy_lang->__s( 'Register' ) . '</span>';
            } elseif ( $step == 3 ) {
                $title = $ppy_lang->__s( 'Step 3. ' ) . ' <span>' . $ppy_lang->__s( 'Review Order' ) . '</span>';
            } elseif ( $step == 4 ) {
                $title = $ppy_lang->__s( 'Step 4. ' ) . ' <span>' . $ppy_lang->__s( 'Confirm your subscription' ) . '</span>';
            }
            $breadcrumbs = Poppyz_Core::breadcrumbs( $step );
        }
        ?>
        <script>
            (function( $ ) {
                'use strict';
                $(function() {
                    $("h1.entry-title").html('<?php echo $title ?>');
                    <?php if ( !empty( $breadcrumbs ) ) : ?>
                        $("header.entry-header").prepend('<div id="ppy-breadcrumbs"><?php echo $breadcrumbs ?></div>');
                    <?php else: ?>
                        $("#ppy-breadcrumbs").hide();
                    <?php endif; ?>
                });

            })( jQuery );

        </script>
        <?php
    }

    ?>
</article><!-- #post-## -->

